Page MenuHomePhabricator

Selecting a target link and then selecting text inside the link creates a new link inside the existing target link.
Closed, ResolvedPublic

Description

If you click on a target link in the translation column and then highlight the text inside the link, a new target link will automatically be created inside the existing target link.

It should not be possible to add a link inside an existing link.
Selecting text inside a link should not automatically create a new link.

Event Timeline

Jsahleen raised the priority of this task from to Needs Triage.
Jsahleen updated the task description. (Show Details)
Jsahleen added subscribers: Aklapper, Jsahleen.
santhosh triaged this task as High priority.Jan 7 2015, 4:25 AM
santhosh removed a project: Technical-Debt.
santhosh set Security to None.

Change 183812 had a related patch set uploaded (by Santhosh):
Do not create links for the selected text in a link

https://gerrit.wikimedia.org/r/183812

Patch-For-Review

santhosh moved this task from Backlog to In Review on the LE-Sprint-81 board.Jan 9 2015, 10:31 AM

Change 183812 merged by jenkins-bot:
Do not create links for the selected text in a link

https://gerrit.wikimedia.org/r/183812

Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.Jan 9 2015, 2:52 PM
Arrbee added a subscriber: Arrbee.Jan 9 2015, 6:12 PM

The problem still persists.

clicking on the target link, displays the link card with the option to 'remove link'

selecting the same text displays the 'add link' option

If the 'add link' option is used, then link cards break for all other links:

It is still possible to add a link inside another link. Selecting text inside a link does not automatically create a new link now, but if you select text inside a link you get the "Add link" card and clicking on "Add link" inserts a link inside the link.

Arrbee closed this task as Resolved.Jan 12 2015, 7:34 AM

The problem still persists.

clicking on the target link, displays the link card with the option to 'remove link'

selecting the same text displays the 'add link' option

If the 'add link' option is used, then link cards break for all other links:

The problem mentioned in the earlier comment is a new bug and is reported in T86511. Closing the current task.